QGIS Application - Bug report #16118
Statistic panel: "Count distinct" not available in the drop-down list for statistics
2017-01-26 04:24 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.18.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24030
Description

Displaying statistics on a string field shows "Count", "Count distinct", "count(missing)".
While "Count" and "Missing(null) values" are available in the drop-down widget, "Count distinct" is not available, hence can't be removed
from the statistics table

Related issues:
Related to QGIS Application - Bug report # 16119: Statistic panel: Do not sho... Closed 2017-01-26

Associated revisions

Revision 7ff644ee - 2017-05-05 09:23 AM - Alexander Bruy

update staistics list depending on the field type (fix #16119, #16118)

Revision e0d4e37c - 2017-05-10 10:56 AM - Alexander Bruy

fix bugs relates to statistical dock (fix #16117, #16118, #16119)

backported from master

Revision 72¢83358 - 2017-05-11 11:07 AM - Alexander Bruy

Merge pull request #4529 from alexbruy/stats-panel

fix bugs related to statistical dock (fix #16117, #16118, #16119)

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-05-04 04:49 PM - Alexander Bruy

- Category set to GUI

- Pull Request or Patch supplied changed from No to Yes
- Description updated

PR proposed https://github.com/qgis/QGIS/pull/4501
https://github.com/qgis/QGIS/pull/4501

#3 - 2017-05-05 03:48 PM - Alexander Bruy
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|7ff644ee493348ce45bb57dac38c610a53feeabd.

#4 - 2017-05-05 06:33 PM - Giovanni Manghi
- Resolution set to fixed/implemented
